FUNCTION(target_sources_relpaths target iface )
	IF (CMAKE_VERSION VERSION_LESS 3.13)
		FOREACH(entry ${ARGN})
			target_sources(${target} ${iface} ${CMAKE_CURRENT_SOURCE_DIR}/${entry})
		ENDFOREACH()
	ELSE()
		target_sources(${target} ${iface} ${ARGN})
	ENDIF()
ENDFUNCTION()
